org.apache.xmlgraphics.ps.dsc.events

## Class DSCCommentPageBoundingBox

- java.lang.Object
- - org.apache.xmlgraphics.ps.dsc.events.AbstractEvent
  - - org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment
    - - org.apache.xmlgraphics.ps.dsc.events.DSCCommentBoundingBox
      - - org.apache.xmlgraphics.ps.dsc.events.DSCCommentPageBoundingBox

- All Implemented Interfaces:
    DSCParserConstants, DSCComment, DSCEvent

      public class DSCCommentPageBoundingBox
      extends DSCCommentBoundingBox

  Represents a %%PageBoundingBox DSC comment.

- - ### Field Summary

    - ### Fields inherited from interface org.apache.xmlgraphics.ps.dsc.DSCParserConstants

      `COMMENT, DSC_COMMENT, EOF, HEADER_COMMENT, LINE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DSCCommentPageBoundingBox()` Creates a new instance.
    `DSCCommentPageBoundingBox(Rectangle2D bbox)` Creates a new instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` Returns the name of the DSC comment.

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.DSCCommentBoundingBox

      `generate, getBoundingBox, hasValues, parseValue, setBoundingBox`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractDSCComment

      `asDSCComment, getEventType, isAtend, isDSCComment, splitParams`

    - ### Methods inherited from class org.apache.xmlgraphics.ps.dsc.events.AbstractEvent

      `asLine, isComment, isHeaderComment, isLine`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.ps.dsc.events.DSCEvent

      `asLine, isComment, isHeaderComment, isLine`

- - ### Constructor Detail

    - #### DSCCommentPageBoundingBox

          public DSCCommentPageBoundingBox()

      Creates a new instance.

    - #### DSCCommentPageBoundingBox

          public DSCCommentPageBoundingBox(Rectangle2D bbox)

      Creates a new instance.
      Parameters:
        `bbox` - the bounding box

  - ### Method Detail

    - #### getName

          public String getName()

      Returns the name of the DSC comment.
      Specified by:
        `getName` in interface `DSCComment`
      Overrides:
        `getName` in class `DSCCommentBoundingBox`
      Returns:
        the name of the DSC comment (without the "%%" prefix)

Copyright 1999-2014 The Apache Software Foundation. All Rights Reserved.